Get schema file contents

Deprecated
View as Markdown

Gets an API schema file contents at the defined path. You can use the versionId query parameter to get schema file contents published in an API version.

Note:

The versionId query parameter is a required parameter for API viewers.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

apiIdstringRequired
The API's ID.
schemaIdstringRequired
The API schema's ID.
file-pathstringRequired
The path to the schema file.

Headers

AcceptenumRequired

The application/vnd.api.v10+json request header required to use the endpoint.

Allowed values:

Query parameters

versionIdstringOptional
The API's version ID. This is a required parameter for API viewers.

Response

Successful Response
idstring
The schema file's ID.
namestring
The schema file's name.
pathstring
The file system path to the schema file.
contentstring
The schema file's stringified contents.
createdAtdatetime
The date and time at which the file was created.
createdBystring
The user Id of the user that created the file.
updatedAtdatetime
The date and time at which the file was last updated.
updatedBystring
The user ID of the user that last updated the file.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error